/*******************************************************************************
 * Copyright (c) 2008 Actuate Corporation.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * https://www.eclipse.org/legal/epl-2.0/.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.model.api.simpleapi;

import org.eclipse.birt.report.model.api.elements.DesignChoiceConstants;

/**
 * Constants for script
 */

public class ScriptConstants {
	public static final String FILTER_OPERATOR_EQ = DesignChoiceConstants.FILTER_OPERATOR_EQ; // $NON-NLS-1$
	public static final String FILTER_OPERATOR_NE = DesignChoiceConstants.FILTER_OPERATOR_NE; // $NON-NLS-1$
	public static final String FILTER_OPERATOR_LT = DesignChoiceConstants.FILTER_OPERATOR_LT; // $NON-NLS-1$
	public static final String FILTER_OPERATOR_LE = DesignChoiceConstants.FILTER_OPERATOR_LE; // $NON-NLS-1$
	public static final String FILTER_OPERATOR_GE = DesignChoiceConstants.FILTER_OPERATOR_GE; // $NON-NLS-1$
	public static final String FILTER_OPERATOR_GT = DesignChoiceConstants.FILTER_OPERATOR_GT; // $NON-NLS-1$
	public static final String FILTER_OPERATOR_BETWEEN = DesignChoiceConstants.FILTER_OPERATOR_BETWEEN; // $NON-NLS-1$
	public static final String FILTER_OPERATOR_NOT_BETWEEN = DesignChoiceConstants.FILTER_OPERATOR_NOT_BETWEEN; // $NON-NLS-1$
	public static final String FILTER_OPERATOR_NULL = DesignChoiceConstants.FILTER_OPERATOR_NULL; // $NON-NLS-1$
	public static final String FILTER_OPERATOR_NOT_NULL = DesignChoiceConstants.FILTER_OPERATOR_NOT_NULL; // $NON-NLS-1$
	public static final String FILTER_OPERATOR_TRUE = DesignChoiceConstants.FILTER_OPERATOR_TRUE; // $NON-NLS-1$
	public static final String FILTER_OPERATOR_FALSE = DesignChoiceConstants.FILTER_OPERATOR_FALSE; // $NON-NLS-1$
	public static final String FILTER_OPERATOR_LIKE = DesignChoiceConstants.FILTER_OPERATOR_LIKE; // $NON-NLS-1$
	public static final String FILTER_OPERATOR_TOP_N = DesignChoiceConstants.FILTER_OPERATOR_TOP_N; // $NON-NLS-1$
	public static final String FILTER_OPERATOR_BOTTOM_N = DesignChoiceConstants.FILTER_OPERATOR_BOTTOM_N; // $NON-NLS-1$
	public static final String FILTER_OPERATOR_TOP_PERCENT = DesignChoiceConstants.FILTER_OPERATOR_TOP_PERCENT; // $NON-NLS-1$
	public static final String FILTER_OPERATOR_BOTTOM_PERCENT = DesignChoiceConstants.FILTER_OPERATOR_BOTTOM_PERCENT; // $NON-NLS-1$
	public static final String FILTER_OPERATOR_NOT_IN = DesignChoiceConstants.FILTER_OPERATOR_NOT_IN; // $NON-NLS-1$
	public static final String FILTER_OPERATOR_MATCH = DesignChoiceConstants.FILTER_OPERATOR_MATCH; // $NON-NLS-1$
	public static final String FILTER_OPERATOR_NOT_LIKE = DesignChoiceConstants.FILTER_OPERATOR_NOT_LIKE; // $NON-NLS-1$
	public static final String FILTER_OPERATOR_NOT_MATCH = DesignChoiceConstants.FILTER_OPERATOR_NOT_MATCH; // $NON-NLS-1$
	public static final String FILTER_OPERATOR_IN = DesignChoiceConstants.FILTER_OPERATOR_IN; // $NON-NLS-1$

	public static final String SORT_DIRECTION_ASC = DesignChoiceConstants.SORT_DIRECTION_ASC; // $NON-NLS-1$
	public static final String SORT_DIRECTION_DESC = DesignChoiceConstants.SORT_DIRECTION_DESC; // $NON-NLS-1$

	public static final String ACTION_LINK_TYPE_NONE = DesignChoiceConstants.ACTION_LINK_TYPE_NONE; // $NON-NLS-1$
	public static final String ACTION_LINK_TYPE_HYPERLINK = DesignChoiceConstants.ACTION_LINK_TYPE_HYPERLINK; // $NON-NLS-1$
	public static final String ACTION_LINK_TYPE_DRILL_THROUGH = DesignChoiceConstants.ACTION_LINK_TYPE_DRILL_THROUGH; // $NON-NLS-1$
	public static final String ACTION_LINK_TYPE_BOOKMARK_LINK = DesignChoiceConstants.ACTION_LINK_TYPE_BOOKMARK_LINK;// $NON-NLS-1$

}
